Commit 9f07355f authored by Gustavo Zacarias's avatar Gustavo Zacarias Committed by Peter Korsgaard
Browse files

haveged: new package

parent a98442f2
Loading
Loading
Loading
Loading
+1 −0
Original line number Diff line number Diff line
@@ -750,6 +750,7 @@ source "package/bc/Config.in"
source "package/collectd/Config.in"
source "package/empty/Config.in"
source "package/googlefontdirectory/Config.in"
source "package/haveged/Config.in"
source "package/mcrypt/Config.in"
source "package/mobile-broadband-provider-info/Config.in"
source "package/shared-mime-info/Config.in"
+9 −0
Original line number Diff line number Diff line
config BR2_PACKAGE_HAVEGED
	bool "haveged"
	depends on BR2_USE_MMU # fork()
	help
	  The haveged project is an attempt to provide an easy-to-use,
	  unpredictable random number generator based upon an adaptation
	  of the HAVEGE algorithm.

	  http://www.issihosts.com/haveged/
+25 −0
Original line number Diff line number Diff line
#!/bin/sh

[ -x /usr/sbin/haveged ] || exit 0

case "$1" in
	start)
		echo -n "Starting haveged: "
		start-stop-daemon -S -x /usr/sbin/haveged -- -w 1024 -r 0
		[ $? == 0 ] && echo "OK" || echo "FAIL"
		;;
	stop)
		echo -n "Stopping haveged: "
		start-stop-daemon -K -x /usr/sbin/haveged
		[ $? == 0 ] && echo "OK" || echo "FAIL"
		;;
	restart|reload)
		$0 stop
		$0 start
		;;
	*)
		echo "Usage: $0 {start|stop|restart}"
		exit 1
esac

exit 0
+17 −0
Original line number Diff line number Diff line
################################################################################
#
# haveged
#
################################################################################

HAVEGED_VERSION = 1.7c
HAVEGED_SITE = http://www.issihosts.com/haveged
HAVEGED_LICENSE = GPLv3+
HAVEGED_LICENSE_FILES = COPYING

define HAVEGED_INSTALL_INIT_SYSV
	$(INSTALL) -m 755 -D package/haveged/S21haveged \
		$(TARGET_DIR)/etc/init.d/S21haveged
endef

$(eval $(autotools-package))